image: python:3.7.1

stages:
  - test

before_script:
  - pip install --upgrade pip
  - pip install poetry
  - poetry config virtualenvs.create false
  - poetry install

pytest:
  stage: test
  script:
    - poetry run pytest
